
#include <sys/param.h>
#include <sys/sysmacros.h>
#include <sys/types.h>
#include <sys/stream.h>
#include <sys/systm.h>
#include <sys/stropts.h>
#include <sys/inline.h>
#include <sys/lihdr.h>
#include <sys/tihdr.h>
#include <sys/tiuser.h>
#include <sys/strlog.h>
#include <sys/log.h>
#include <sys/errno.h>
#include <sys/dir.h>
#include <sys/signal.h>
#include <sys/user.h>
#include <sys/portable.h>
#include <sys/common.h>
#include <sys/dlpihdr.h>
#include <sys/sioctl.h>
#include "config.h"

/* interrupt level per board  */

#if defined(D25E3_UNITS)

#define ND25EUNIT (D25E3_UNITS+D25E2_UNITS+D25E1_UNITS+D25E0_UNITS)

ulong de250intl[ND25EUNIT] =

        { D25E0_0_VECT,D25E1_0_VECT,D25E2_0_VECT,D25E3_0_VECT };

ulong de250ioaddr[ND25EUNIT] =

        { D25E0_0_SIOA,D25E1_0_SIOA,D25E2_0_SIOA,D25E3_0_SIOA };

#elif defined(D25E2_UNITS)

#define ND25EUNIT (D25E2_UNITS+D25E1_UNITS+D25E0_UNITS)

ulong de250intl[ND25EUNIT] =

        { D25E0_0_VECT,D25E1_0_VECT,D25E2_0_VECT };

ulong de250ioaddr[ND25EUNIT] =

        { D25E0_0_SIOA,D25E1_0_SIOA,D25E2_0_SIOA };

#elif defined(D25E1_UNITS)

#define ND25EUNIT (D25E1_UNITS+D25E0_UNITS)

ulong de250intl[ND25EUNIT] = { D25E0_0_VECT,D25E1_0_VECT };

ulong de250ioaddr[ND25EUNIT] = { D25E0_0_SIOA,D25E1_0_SIOA };

#elif defined(D25E0_UNITS)

#define ND25EUNIT D25E0_UNITS

ulong de250intl[ND25EUNIT] = { D25E0_0_VECT };

ulong de250ioaddr[ND25EUNIT] = { D25E0_0_SIOA };

#endif



ulong DE250_BOARDS = ND25EUNIT;

