#include "sys/types.h"

#include "sys/stream.h"

#include "sys/socket.h"

#include "/etc/conf/cf.d/config.h"



/* interrupt level per board  */

#if defined(D25E3_UNITS)

#define ND25EUNIT (D25E3_UNITS+D25E2_UNITS+D25E1_UNITS+D25E_UNITS)

ulong de250intl[ND25EUNIT] =

        { D25E_0_VECT,D25E1_0_VECT,D25E2_0_VECT,D25E3_0_VECT };

ulong de250ioaddr[ND25EUNIT] =

        { D25E_0_SIOA,D25E1_0_SIOA,D25E2_0_SIOA,D25E3_0_SIOA };

#elif defined(D25E2_UNITS)

#define ND25EUNIT (D25E2_UNITS+D25E1_UNITS+D25E_UNITS)

ulong de250intl[ND25EUNIT] =

        { D25E_0_VECT,D25E1_0_VECT,D25E2_0_VECT };

ulong de250ioaddr[ND25EUNIT] =

        { D25E_0_SIOA,D25E1_0_SIOA,D25E2_0_SIOA };

#elif defined(D25E1_UNITS)

#define ND25EUNIT (D25E1_UNITS+D25E_UNITS)

ulong de250intl[ND25EUNIT] = { D25E_0_VECT,D25E1_0_VECT };

ulong de250ioaddr[ND25EUNIT] = { D25E_0_SIOA,D25E1_0_SIOA };

#elif defined(D25E_UNITS)

#define ND25EUNIT D25E_UNITS

ulong de250intl[ND25EUNIT] = { D25E_0_VECT };

ulong de250ioaddr[ND25EUNIT] = { D25E_0_SIOA };

#endif



ulong DE250_BOARDS = ND25EUNIT;

